Package org.apache.sysds.runtime.io

# Class FrameWriterProto

java.lang.Object
org.apache.sysds.runtime.io.FrameWriter
org.apache.sysds.runtime.io.FrameWriterProto

public class FrameWriterProto extends FrameWriter

## Constructor Summary

Constructors
Constructor
Description
`FrameWriterProto()`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen)`

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriter

`setForcedParallel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameWriterProto

public FrameWriterProto()

## Method Details

### writeFrameToHDFS

public void writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen) throws IOException

Specified by:
  `writeFrameToHDFS` in class `FrameWriter`
Throws:
  `IOException`